% project 10 / vienna/ july 2008
% segment anew image and find emotional state, case sad / not sad
load svm_struct_notsad;
load svm_struct_sad;

%input image
[imageFilename,imagePath] = uigetfile({'*','images ';'*.*','All files (*.*)'},'Open Image','MultiSelect','off');
im=imread([imagePath, imageFilename]);

[mouth]=mouth_segmentation(im); %segment mouth
features=shape_features(mouth); %calculate shape features
class=svmclassify(svm_class_struct_sad,features); %classify as sad / not sad

if class==1
    expression='sad'
else
    class=svmclassify(svm_class_struct_notsad,features); %if class=not sad 
                                               %classify as happy / neutral
    if class==1
        expression='happy'
    else
        expression='neutral'
    end
end
